<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/********** ログインをメールアドレスのみにする **********/
function haup_force_email_login( $user, $username, $password ) {
//「ユーザー名またはメールアドレス」に入力された情報を email情報 としてユーザー検索
	$user_data = get_user_by( 'email', $username );

	if( !empty( $user_data ) ) {
		//email情報からユーザーが見つかればログイン認証用の関数にデータを渡す
		return wp_authenticate_username_password( null, $user_data->user_login, $password );
	}

	//emailでユーザー取得できなかった場合
		return wp_authenticate_username_password( null, '___', $password );

}
add_filter('authenticate', 'haup_force_email_login', 20, 3);